GuideLab API

Add tag to order

Applies an existing tag from the lab's tag catalog to an order. The tag must be active and belong to the order's lab. Prevents duplicate tag applications.

POST
/orders/{id}/tags

Applies an existing tag from the lab's tag catalog to an order. The tag must be active and belong to the order's lab. Prevents duplicate tag applications.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/tags" \  -H "Content-Type: application/json" \  -d '{    "tagId": "string"  }'
{  "orderTag": {    "id": "string",    "orderId": "string",    "tagId": "string",    "appliedBy": "string",    "createdAt": "string",    "tag": null  }}
Empty
Empty
Empty
Empty
Empty